//#region ../../node_modules/stringify-entities/lib/util/to-hexadecimal.js
var e = /[\dA-Fa-f]/;
function t(t, n, r) {
	let i = "&#x" + t.toString(16).toUpperCase();
	return r && n && !e.test(String.fromCharCode(n)) ? i : i + ";";
}
//#endregion
export { t as toHexadecimal };
